#!/bin/sh
# HP Michael Tosch
# team W-INCSSP-L3-ERIC-RND-TS
#

echo "NX Pluggable User Balancer"

dir="/usr/NX/scripts"
this="nxpub"
src=`dirname $0`

PATH=/bin:/usr/bin:/usr/sbin:/sbin
export PATH

[ -d /usr/NX/var/db -a -f /usr/NX/etc/server.cfg ] || exec echo 'only for NXserver!'

if grep "^[^#]*$dir/$this" /usr/NX/etc/server.cfg >/dev/null
then
  perl -i -pe '
if (s%^([^#]*UserScriptAfterLogin).*%#$1 = ""%) {
$_="" if $_ eq $prev;
}
$prev=$_;
' /usr/NX/etc/server.cfg &&
  echo "de-activated."
else
  echo "already de-activated."
fi

if [ -x $dir/$this ]; then
  rm -f $dir/$this &&
  echo "$this deleted."
fi

